| Gtk2Hs | Contents | Index

System.Gnome.GConf.GConfValue

Synopsis

class GConfValueClass value => GConfPrimitiveValueClass value
class GConfValueClass value where

marshalFromGConfValue :: GConfValue -> IO value
marshalToGConfValue :: value -> IO GConfValue

newtype GConfValue = GConfValue (Ptr GConfValue)

data GConfValueDyn

= GConfValueString String
| GConfValueInt Int
| GConfValueFloat Double
| GConfValueBool Bool
| GConfValueSchema
| GConfValueList [GConfValueDyn]
| GConfValuePair (GConfValueDyn, GConfValueDyn)

Documentation
class GConfValueClass value => GConfPrimitiveValueClass value

Instances

GConfPrimitiveValueClass Bool
GConfPrimitiveValueClass Double
GConfPrimitiveValueClass Int
GConfPrimitiveValueClass String

class GConfValueClass value where

Class of types which can be kept by GConf
Methods

marshalFromGConfValue :: GConfValue -> IO value
marshalToGConfValue :: value -> IO GConfValue

Instances

GConfValueClass Bool
GConfValueClass Double
GConfValueClass Int
GConfValueClass String
GConfValueClass GConfValueDyn
GConfPrimitiveValueClass a => GConfValueClass ([] a)
GConfValueClass value => GConfValueClass (Maybe value)
(GConfPrimitiveValueClass a, GConfPrimitiveValueClass b) => GConfValueClass ((,) a b)

newtype GConfValue

Constructors

GConfValue (Ptr GConfValue) |

data GConfValueDyn

Dynamic version for when the type is not known statically.
Constructors

GConfValueString String |
GConfValueInt Int |
GConfValueFloat Double |
GConfValueBool Bool |
GConfValueSchema | Not supported
GConfValueList [GConfValueDyn] | Must all be of same primitive type
GConfValuePair (GConfValueDyn, GConfValueDyn) | Must both be primitive

Instances

GConfValueClass GConfValueDyn

Produced by Haddock version 2.4.2